import 'package:enterprise_validator/enterprise_validator.dart';

class IsEqualToRule extends ValidationRule<int> {
  final int equalTo;

  IsEqualToRule({required String validationError, required this.equalTo,})
      : super(validationError: validationError);

  @override
  bool check(int? value) {
    if (value == null) {
      return false;
    }
    return value == equalTo;
  }
}
