import 'package:enterprise_validator/enterprise_validator.dart';

class IsNotEqualToZeroRule extends ValidationRule<int> {

  IsNotEqualToZeroRule({required String validationError})
      : super(validationError: validationError);

  @override
  bool check(int? value) {
    if (value == null) {
      return false;
    }
    return value != 0;
  }
}
