import 'package:enterprise_validator/enterprise_validator.dart';

class IsCheckEqualToRule extends ValidationRule<bool> {
  final bool equalTo;

  IsCheckEqualToRule({required String validationError, required this.equalTo,})
      : super(validationError: validationError);

  @override
  bool check(bool? value) {
    return value == equalTo;
  }
}
