import 'package:enterprise_validator/enterprise_validator.dart';

class IsNotEqualToRule extends ValidationRule<int> {
  final int notEqualTo;

  IsNotEqualToRule({required String validationError,required this.notEqualTo,})
      : super(validationError: validationError);

  @override
  bool check(int? value) {
    if (value == null) {
      return false;
    }
    return value != notEqualTo;
  }
}
