import 'package:enterprise_validator/enterprise_validator.dart';

class IsInRangeOfRule extends ValidationRule<int> {
  final int min;
  final int max;

  IsInRangeOfRule({required String validationError,required this.min, required this.max})
      : super(validationError: validationError);

  @override
  bool check(int? value) {
    if (value == null) {
      return false;
    }

    return value >= min && value <= max;
  }
}
